<?php
if (!defined('_GNUBOARD_')) exit; // 개별 페이지 접근 불가 

// 데모일 때 설정
$demo_config = array('bo_table' => 'gallery', 'ca_id' => '10', 'ev_id' => '', 'bn_id' => '');

// 데모테마 레이아웃 설정
if(IS_YC && IS_SHOP) { // 쇼핑몰
	$at_set['mfile'] = 'main-shop-basic';
	$at_set['sfile'] = 'side-shop-basic';
} else {
	$at_set['mfile'] = 'main-basic';
	$at_set['sfile'] = 'side-basic';

	if(!G5_IS_MOBILE) { // PC 모드
		$at_set['layout'] = "boxed";
		$at_set['body_background'] = "http://amina.co.kr/demo/data/apms/background/1107.jpg";
	}
}

// 수동메뉴설정
$hmenu = array();
$bmenu = array();
$tmenu = array();

if($mon && $pvm) $is_main = false; // 메인 스타일 보기일 때

$i = 0;
$msp = 'main';
$demo_href = $at_href['home'].'/?mon='.$msp.'&amp;pv='.THEMA.'&amp;pvm=';
$shmh = (IS_YC && IS_SHOP) ? 'shop-' : '';
$hmenu[$i]['new'] = 'old';
$hmenu[$i]['on'] = ($mon == $msp) ? true : false;
$hmenu[$i]['href'] = $demo_href.urlencode('main-'.$shmh.'basic');
$hmenu[$i]['name'] = '기본 메인';
$hmenu[$i]['is_sub'] = true;

$shmenu = array();
$shmenu[] = array('main-'.$shmh.'basic', '기본 타이틀', '', 0);
$shmenu[] = array('main-'.$shmh.'basic-left', '기본 타이틀 - 좌측', '', 0);
$shmenu[] = array('main-'.$shmh.'basic-wide', '와이드 타이틀', '', 0);
$shmenu[] = array('main-'.$shmh.'basic-wide-left', '와이드 타이틀 - 좌측', '', 0);
$shmenu[] = array('main-'.$shmh.'basic-boxed', '박스형 타이틀', '', 0);
$shmenu[] = array('main-'.$shmh.'basic-boxed-left', '박스형 타이틀 - 좌측', '', 0);

for($j=0; $j < count($shmenu); $j++) {
	$hmenu[$i]['sub'][$j]['line'] = $shmenu[$j][2];
	$hmenu[$i]['sub'][$j]['sp'] = $shmenu[$j][3];
	$hmenu[$i]['sub'][$j]['on'] = ($pvm == $shmenu[$j][0]) ? true : false;
	$hmenu[$i]['sub'][$j]['href'] = $demo_href.urlencode($shmenu[$j][0]);
	$hmenu[$i]['sub'][$j]['name'] = $shmenu[$j][1];
	$hmenu[$i]['sub'][$j]['new'] = 'old';
	$hmenu[$i]['sub'][$j]['is_sub'] = false;
}

$t = 0;
@include_once(G5_BBS_PATH.'/demo.menu.php');

/* 자동메뉴 재배열 
	- apms_array_menu('그룹,분류', '그룹 또는 분류 1개만', '그룹,분류')
	- 첫번째와 세번째 메뉴는 콤바(,)를 이용해서 복수등록 가능
*/
$bmenu = (IS_YC && IS_SHOP) ? apms_array_menu('10,shop','','') : apms_array_menu('shop','','');

// 매뉴 재설정
unset($menu);

// 메뉴 통계
$menu[0] = $bmenu[0];

$i = 1;
// Head Menu
for($j = 0; $j < count($hmenu); $j++) {
	$menu[$i] = $hmenu[$j];
	$i++;
}

// Body Menu
for($j = 1; $j < count($bmenu); $j++) {
	$menu[$i] = $bmenu[$j];
	if($mon == 'side') $menu[$i]['on'] = false;
	$i++;
}

// Tail Menu
for($j = 0; $j < count($tmenu); $j++) {
	$menu[$i] = $tmenu[$j];
	$i++;
}

?>